Bug 1421801 - [rt] update driver modifications from upstream PREEMPT_RT patchset
Summary: [rt] update driver modifications from upstream PREEMPT_RT patchset
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel-rt
Version: 7.4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Clark Williams
QA Contact: Jiri Kastner
URL:
Whiteboard:
Depends On:
Blocks: 1353018 1410158
TreeView+ depends on / blocked
 
Reported: 2017-02-13 17:33 UTC by Clark Williams
Modified: 2017-08-02 00:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 19:00:29 UTC


Attachments (Terms of Use)
drivers-random-reduce-preempt-disabled-region.patch (854 bytes, patch)
2017-02-13 17:36 UTC, Clark Williams
no flags Details | Diff
drivers-tty-fix-omap-lock-crap.patch (1.24 KB, patch)
2017-02-13 17:42 UTC, Clark Williams
no flags Details | Diff
drivers-tty-pl011-irq-disable-madness.patch (1.39 KB, patch)
2017-02-13 17:43 UTC, Clark Williams
no flags Details | Diff
rt-serial-warn-fix.patch (1.07 KB, patch)
2017-02-13 17:49 UTC, Clark Williams
no flags Details | Diff
tty-serial-8250-don-t-take-the-trylock-during-oops.patch (923 bytes, patch)
2017-02-13 17:50 UTC, Clark Williams
no flags Details | Diff
Avoid the trylock op during oops and optimize the fastpath (1.22 KB, patch)
2017-03-21 16:49 UTC, Luis Claudio R. Goncalves
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2077 normal SHIPPED_LIVE Important: kernel-rt security, bug fix, and enhancement update 2017-08-01 18:13:37 UTC

Description Clark Williams 2017-02-13 17:33:38 UTC
Review and backport (if needed) driver update patches from 4.8-rt series

Comment 1 Clark Williams 2017-02-13 17:36:19 UTC
Created attachment 1249966 [details]
drivers-random-reduce-preempt-disabled-region.patch

Upstream 4.8.15-rt10 patch to reduce preempt-off time in /dev/random driver

Comment 2 Clark Williams 2017-02-13 17:42:53 UTC
Created attachment 1249967 [details]
drivers-tty-fix-omap-lock-crap.patch

Eval whether omap tty patch will be useful in potential future ARM supported kernels

Comment 3 Clark Williams 2017-02-13 17:43:49 UTC
Created attachment 1249968 [details]
drivers-tty-pl011-irq-disable-madness.patch

Evaluate tty driver mods for upstream RT

Comment 4 Clark Williams 2017-02-13 17:49:42 UTC
Created attachment 1249969 [details]
rt-serial-warn-fix.patch

serial driver warning fix

Comment 5 Clark Williams 2017-02-13 17:50:27 UTC
Created attachment 1249970 [details]
tty-serial-8250-don-t-take-the-trylock-during-oops.patch

Fix to avoid trylock logic during oops

Comment 10 Luis Claudio R. Goncalves 2017-03-21 16:49:44 UTC
Created attachment 1265180 [details]
Avoid the trylock op during oops and optimize the fastpath

Comment 14 errata-xmlrpc 2017-08-01 19:00:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2077

Comment 15 errata-xmlrpc 2017-08-02 00:24:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2077


Note You need to log in before you can comment on or make changes to this bug.